Skip to content

Identity Management (UNKNOWN)

Overview

The Identity Management REST APIs and Model, allow the creation, deletion, and modification of identity groups, and identities.

What This API Does

  • Create, modify, and delete identities groups and identities
  • Manage devices under identities

Error Handling

The API uses standard HTTP status codes with detailed error messages in the response body.

Common Error Responses

All endpoints may return these common error responses:

  • 400 Bad Request: Invalid input data or validation errors
  • 401 Unauthorized: Missing or invalid authentication
  • 403 Forbidden: Insufficient permissions
  • 404 Not Found: Requested resource doesn't exist
  • 409 Conflict: Resource conflict (e.g., duplicate names)
  • 422 Unprocessable Entity: Business rule violations
  • 500 Internal Server Error: Unexpected server errors
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Identity Group

Operations for managing identity groups.

Operations

Identity

Operations for managing identities.

Operations

Update the Identity's Ethernet Ports

Request

Update the ethernet ports associated with an identity at a specific venue.

Path
groupIdstring(uuid)required

Group id

venueIdstringrequired

Venue id

idstring(uuid)required

Identity id

BodyrequiredArray [
macAddressstring^([0-9A-F]{2}-){5}([0-9A-F]{2})$required

The MAC address for the ethernet port.

portIndexinteger(int32)

The index of the port of the ethernet port.

namestring[ 1 .. 255 ] charactersrequired

The name for the ethernet port.

]
[ { "macAddress": "string", "portIndex": 0, "name": "string" } ]

Responses

Request accepted

Body
requestIdstring

Request identifier for tracking.

idstring

The identifier of created resource.

Response
{ "requestId": "string", "id": "string" }

Returns Identities in the Group

Request

Retrieve a paginated list of all identities within a specific identity group.

Path
groupIdstring(uuid)required

Group id

Query
pageableobject(Pageable)required

Parameters for paging

pageable.​pageinteger(int32)>= 0
pageable.​sizeinteger(int32)>= 1
pageable.​sortArray of strings
No request payload

Responses

Identities returned

BodyArray [
idstring(uuid)read-only

The identifier for the identity.

groupIdstring(uuid)read-only

The identifier of the group for the identity.

parentIdstring(uuid)read-only

The identifier of the parent identity.

descriptionstring<= 255 characters

The description for the identity.

namestring[ 1 .. 255 ] charactersrequired

The name for the identity.

emailstring^[\w!#$%&’*+/=?`{|}~^-]+(?:\.[\w!#$%&’*+/=?`{...

The email for the identity.

Example: "john.doe@example.com"
dpskGuidstringread-only

The identifier of the DPSK for the identity.

dpskPassphrasestring

The passphrase associated with the identity. If this field is set to null in an update request, the passphrase will be reset. Note: if a passphrase is provided but is shorter than the required minimum length, it will also be reset.

identityIdstringread-only

The identifier of entity that associated with identity.

revokedboolean

The field to determine if identity is revoked.

vlaninteger(int32)[ 1 .. 4094 ]

The VLAN for the identity.

vniinteger(int32)[ 0 .. 8388608 ]read-only

The VNI for the identity.

createdAtstring(date-time)read-only

The timestamp that the identity get created.

updatedAtstring(date-time)read-only

The timestamp that the identity get last update.

devicesArray of objects(Device)

The list of devices for the identity.

deviceCountinteger(int32)read-only

The count of devices belongs to the identity.

ethernetPortsArray of objects(EthernetPort)

The list of ethernet port for the identity.

switchesArray of objects(Switch)read-only

The list of switch for the identity.

meteringProfileIdstring(uuid)

The identifier of the metering profile.

expirationDatestring(date-time)

The expiration date for the metering profile of this identity.

phoneNumberstring

The phone number for the identity.

displayNamestring<= 255 characters

The display name for the identity.

externalIdentityIdstring(uuid)read-only

The identifier of the external identity for the identity.

lastLoginAtstring(date-time)read-only

The latest timestamp that the identity login.

primaryboolean

The field to determine if identity is primary.

_linksobject(Links)
]
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55", "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43", "description": "string", "name": "string", "email": "john.doe@example.com", "dpskGuid": "string", "dpskPassphrase": "string", "identityId": "string", "revoked": true, "vlan": 1, "vni": 8388608, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "devices": [ … ], "deviceCount": 0, "ethernetPorts": [ … ], "switches": [ … ], "meteringProfileId": "21690ab6-38e0-48f8-adfb-86310194769f", "expirationDate": "2019-08-24T14:15:22Z", "phoneNumber": "string", "displayName": "string", "externalIdentityId": "a01e4ba2-4fa9-437d-852d-542fdee5487f", "lastLoginAt": "2019-08-24T14:15:22Z", "primary": true, "_links": { … } } ]

Query Identities

Request

Search and filter identities across all groups based on specified criteria.

Query
pageableobject(Pageable)required

Parameters for paging

pageable.​pageinteger(int32)>= 0
pageable.​sizeinteger(int32)>= 1
pageable.​sortArray of strings
Bodyrequired
groupIdstring(uuid)

The filter to search by group.

dpskPoolIdstring

The filter to search by DPSK pool.

propertyIdstring

The filter to search by property.

keywordstring

The filter to search by keyword.

idsArray of strings(uuid)

The filter to search by identifiers.

ethernetPortobject(EthernetPort)

The filter to search by ethernet port.

filterobject

The filter to search by additional fields.

{ "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55", "dpskPoolId": "string", "propertyId": "string", "keyword": "string", "ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "ethernetPort": { "macAddress": "string", "portIndex": 0, "name": "string" }, "filter": { "property1": null, "property2": null } }

Responses

Identities found

Body
totalElementsinteger(int64)

The total number of elements in the result set.

totalPagesinteger(int32)

The total number of pages in the result set.

sizeinteger(int32)
contentArray of objects(Identity)

The list of identity items.

numberinteger(int32)

The current page number.

sortobject(SortObject)

Sorting information for a page request. Contains details about the field(s) to sort by and the sort direction (ascending or descending).

pageableobject(PageableObject)

The metadata for pagination.

numberOfElementsinteger(int32)

The number of elements on the current page.

firstboolean

Indicates whether the current page is the first page.

lastboolean

Indicates whether the current page is the last page.

emptyboolean

Indicates whether the result set is empty.

Response
{ "totalElements": 0, "totalPages": 0, "size": 0, "content": [ { … } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": { … }, "pageNumber": 0, "pageSize": 0, "unpaged": true, "paged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

Returns the Identity

Request

Retrieve detailed information about a specific identity by its ID.

Path
groupIdstring(uuid)required

Group id

idstring(uuid)required

Identity id

No request payload

Responses

Identity found

Body
idstring(uuid)read-only

The identifier for the identity.

groupIdstring(uuid)read-only

The identifier of the group for the identity.

parentIdstring(uuid)read-only

The identifier of the parent identity.

descriptionstring<= 255 characters

The description for the identity.

namestring[ 1 .. 255 ] charactersrequired

The name for the identity.

emailstring^[\w!#$%&’*+/=?`{|}~^-]+(?:\.[\w!#$%&’*+/=?`{...

The email for the identity.

Example: "john.doe@example.com"
dpskGuidstringread-only

The identifier of the DPSK for the identity.

dpskPassphrasestring

The passphrase associated with the identity. If this field is set to null in an update request, the passphrase will be reset. Note: if a passphrase is provided but is shorter than the required minimum length, it will also be reset.

identityIdstringread-only

The identifier of entity that associated with identity.

revokedboolean

The field to determine if identity is revoked.

vlaninteger(int32)[ 1 .. 4094 ]

The VLAN for the identity.

vniinteger(int32)[ 0 .. 8388608 ]read-only

The VNI for the identity.

createdAtstring(date-time)read-only

The timestamp that the identity get created.

updatedAtstring(date-time)read-only

The timestamp that the identity get last update.

devicesArray of objects(Device)

The list of devices for the identity.

deviceCountinteger(int32)read-only

The count of devices belongs to the identity.

ethernetPortsArray of objects(EthernetPort)

The list of ethernet port for the identity.

switchesArray of objects(Switch)read-only

The list of switch for the identity.

meteringProfileIdstring(uuid)

The identifier of the metering profile.

expirationDatestring(date-time)

The expiration date for the metering profile of this identity.

phoneNumberstring

The phone number for the identity.

displayNamestring<= 255 characters

The display name for the identity.

externalIdentityIdstring(uuid)read-only

The identifier of the external identity for the identity.

lastLoginAtstring(date-time)read-only

The latest timestamp that the identity login.

primaryboolean

The field to determine if identity is primary.

_linksobject(Links)
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55", "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43", "description": "string", "name": "string", "email": "john.doe@example.com", "dpskGuid": "string", "dpskPassphrase": "string", "identityId": "string", "revoked": true, "vlan": 1, "vni": 8388608, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "devices": [ { … } ], "deviceCount": 0, "ethernetPorts": [ { … } ], "switches": [ { … } ], "meteringProfileId": "21690ab6-38e0-48f8-adfb-86310194769f", "expirationDate": "2019-08-24T14:15:22Z", "phoneNumber": "string", "displayName": "string", "externalIdentityId": "a01e4ba2-4fa9-437d-852d-542fdee5487f", "lastLoginAt": "2019-08-24T14:15:22Z", "primary": true, "_links": { "property1": { … }, "property2": { … } } }

Returns Identities in All Groups

Request

Retrieve a paginated list of all identities across all groups for the tenant.

Query
pageableobject(Pageable)required

Parameters for paging

pageable.​pageinteger(int32)>= 0
pageable.​sizeinteger(int32)>= 1
pageable.​sortArray of strings
No request payload

Responses

Identities in all groups

Body
totalElementsinteger(int64)

The total number of elements in the result set.

totalPagesinteger(int32)

The total number of pages in the result set.

sizeinteger(int32)
contentArray of objects(Identity)

The list of identity items.

numberinteger(int32)

The current page number.

sortobject(SortObject)

Sorting information for a page request. Contains details about the field(s) to sort by and the sort direction (ascending or descending).

pageableobject(PageableObject)

The metadata for pagination.

numberOfElementsinteger(int32)

The number of elements on the current page.

firstboolean

Indicates whether the current page is the first page.

lastboolean

Indicates whether the current page is the last page.

emptyboolean

Indicates whether the result set is empty.

Response
{ "totalElements": 0, "totalPages": 0, "size": 0, "content": [ { … } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": { … }, "pageNumber": 0, "pageSize": 0, "unpaged": true, "paged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

Retry VNI Allocation for Identity

Request

Retry the VNI allocation for a specific identity.

Path
groupIdstring(uuid)required

Group id

idstring(uuid)required

Identity id

No request payload

Responses

The retry has been executed successfully

Body
any(EmptyResponse)

The body of empty response.

Response
null

External Identity

Operations for managing external identities.

Operations